simon.h File Reference

Classes for the Simon block cipher. More...

Go to the source code of this file.

## Classes

struct | SIMON_Info< L, D, N, M >
| SIMON block cipher information. More...
struct | SIMON_Base< W >
| SIMON block cipher base class. More...
class | SIMON64
| SIMON 64-bit block cipher. More...
class | SIMON64::Base
| SIMON64 block cipher base implementation. More...
class | SIMON64::Enc
| SIMON64 encryption transformation. More...
class | SIMON64::Dec
| SIMON64 decryption transformation. More...
class | SIMON128
| SIMON 128-bit block cipher. More...
class | SIMON128::Base
| SIMON128 block cipher base implementation. More...
class | SIMON128::Enc
| SIMON128 encryption transformation. More...
class | SIMON128::Dec
| SIMON128 decryption transformation. More...

## Macros

#define | CRYPTOPP_SIMON128_ADVANCED_PROCESS_BLOCKS 1

## Detailed Description

Classes for the Simon block cipher.

Simon is a block cipher designed by Ray Beaulieu, Douglas Shors, Jason Smith, Stefan Treatman-Clark, Bryan Weeks and Louis Wingers.

See also
  The SIMON and SPECK Families of Lightweight Block Ciphers, The Simon and Speck GitHub and SIMON on the Crypto++ wiki.

Since
  Crypto++ 6.0

Definition in file simon.h.

## Macro Definition Documentation

## CRYPTOPP_SIMON128_ADVANCED_PROCESS_BLOCKS

#define CRYPTOPP_SIMON128_ADVANCED_PROCESS_BLOCKS 1

Definition at line 24 of file simon.h.